Favicon

You are here: Home > API Reference > Apple > Apple Event Check > Check admVppEvent

Check admVppEvent

Required Permission: mdm.apple.vppEvent.check

Check admVppEvent

GET
/v1/organizations/:organizationId/mdm/apple/enterprise/vpp/locations/:admVppLocationId/events/check/:eventId
Copy to clipboard

Check admVppEvent

Required Permission: mdm.apple.vppEvent.check

Check admVppEvent

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admVppLocationId string
required
Match pattern: ^[a-fA-F0-9]{24}$
eventId string
required
≤ 256 characters

Responses

200 Response application/json
status boolean optional
data object optional
status string optional
PENDING COMPLETE FAILED
type string optional
≤ 256 characters
failures array [object] optional
errorInfo object optional
assets array [object] optional
adamId string optional
≤ 256 characters
pricingParam string optional
STDQ PLUS
clientUserId array [string] optional
serialNumber array [string] optional
errorMessage string optional
≤ 256 characters
errorNumber integer optional
≥ 0
numCompleted integer optional
≥ 0
numRequested integer optional
≥ 0
{
    "status": true,
    "data": {
        "status": "PENDING",
        "type": "string",
        "failures": [
            {
                "errorInfo": {
                    "assets": [
                        {
                            "adamId": "string",
                            "pricingParam": "STDQ"
                        }
                    ],
                    "clientUserId": [
                        "string"
                    ],
                    "serialNumber": [
                        "string"
                    ]
                },
                "errorMessage": "string",
                "errorNumber": 0
            }
        ],
        "numCompleted": 0,
        "numRequested": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}